{ hiemaps.i

nn(d2: integer; var v1,v2: vector);    the RG transformation N
dnn(d2: integer; var v,v1,v2: vector); the derivative DN
dmm1(var v,v1,v2: vector);             part 1 of the linearized contraction DM
dmm2(var v,v1,v2: vector);             part 2 of the linearized contraction DM
dmm3(var v,v1,v2: vector);             part 3 of the linearized contraction DM

Notes:
vdim has to be larger than lmax+pdeg
The global quantities are

procedures from reps.i, scalar.i, vector.i

const
  topint= ; strnglen= ; exmax= ; hdim= ; edim= ; vdim= ; lmax= ; pdeg= ;
  up=true; down=false;
type
  longstring=varying[strnglen] of char;
  hint=array[0..hdim] of integer;
  hreal=record si: integer; ma: hint; ex: integer; end;
  scalar=record l: hreal; u: hreal; end;
  vector=array[0..vdim] of scalar;
  ltuple=array[0..lmax] of scalar;
  matrix=array[0..lmax,0..lmax] of scalar;
var
  trunc,underflow,overflow: boolean;
  e: array[0..edim] of integer;
  sone,stwo,shalf: scalar;
  beta2,cov,rho,sigma,tau: scalar;      ( hiemodel parameters )
  vkappa: vector;                    ( bounds for convolution )
  m: matrix;                             ( used by mm and dmm )
------------------------------------------------------------------------------}

%include 'hiemaps/nn';
%include 'hiemaps/dnn';
%include 'hiemaps/dmm1';
%include 'hiemaps/dmm2';
%include 'hiemaps/dmm3';

