{ kkmap.i

kkinit(var v: vector; var u: ltuple);  initialize stuff
df(var v: vector; var u,fu: ltuple;
   var dfu: matrix);                   fu:=F(u) and dfu:=DF(u), for given v
findu(var v: vector; var u: ltuple);   solve F(u)=0 for given v
dunpack1(d1: integer; var u: ltuple;
         var ve,v1,v2: vector);        v2:=(1st part of DU applied to v1)
procedure unpack(var v1,v2: vector;
                 var u: ltuple);       v2:=U(v1), pass on u from findu(v1,u)
uok(var u: ltuple;
    var v: vector): boolean;           check that u is within the allowed range
ustar(var v: vector; var u: ltuple);   findu and check domains
kk(var v1,v2: vector; var u: ltuple);  v2:=K(v1), pass on u from findu(v1,u)
vvmtprod(var m: matrix;
         var vv1, vv2: vtuple);        vv2:=Sum_j vv1[j]*m[j,.]
dkkinit(var u: ltuple;
   var v,ve: vector; var vv: vtuple);  prepare vectors ve and vv[i] for dkk
dunpack2(var vv: vtuple;
         var v1,v2: vector);           v2:=(2nd part of DU applied to v1)
dkk(d1: integer;
    var u: ltuple; var vv: vtuple;
    var ve,vus,hi,ho: vector);         ho:=DK(v)hi, given vus


Notes:
Run kkinit first.
The global quantities are

procedures from reps.i, scalar.i, vector.i, linear.i

const
  topint= ; strnglen= ; exmax= ; hdim= ; edim= ; vdim= ; lmax=3;
  up=true; down=false;
type
  longstring=varying[strnglen] of char;
  hint=array[0..hdim] of integer;
  hreal=record si: integer; ma: hint; ex: integer; end;
  scalar=record l: hreal; u: hreal; end;
  vector=array[0..vdim] of scalar;
  ltuple=array[0..lmax] of scalar;
  matrix=array[0..lmax,0..lmax] of scalar;
  vtuple=array[0..lmax] of vector;
var
  trunc,undeflow,overflow: boolean;
  e: array[0..edim] of integer;
  sone,stwo,shalf: scalar;
  normalize: boolean;
  beta2,cov,rho,sigma,tau: scalar;      ( hiemodel parameters )
  vkappa: vector;                    ( bounds for convolution )
  umax,lnormal: ltuple;
------------------------------------------------------------------------------}

%include 'kkmap/kkinit';
%include 'kkmap/df';
%include 'kkmap/findu';
%include 'kkmap/dunpack1';
%include 'kkmap/unpack';
%include 'kkmap/uok';
%include 'kkmap/ustar';
%include 'kkmap/kk';
%include 'kkmap/vvmtprod';
%include 'kkmap/dkkinit';
%include 'kkmap/dunpack2';
%include 'kkmap/dkk';

